Bug 154442 - AbstractMethodError: oracle.jdbc.driver.OracleDatabaseMetaData.getDatabaseMajorVersion()I
AbstractMethodError: oracle.jdbc.driver.OracleDatabaseMetaData.getDatabaseMaj...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 12:23 UTC by caoticud
Modified: 2009-08-13 14:14 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.00 KB, text/plain)
2008-12-03 12:23 UTC, caoticud
Details

Note You need to log in before you can comment on or make changes to this bug.
Description caoticud 2008-12-03 12:23:09 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b06, Java(TM) SE Runtime Environment, 1.6.0_02-b06
OS: Windows XP, 5.1, x86

User Comments:
caoticud: Oracle database node -> execute command
issuing select command

GUEST: input a "." end of table alias name.
sql:
select u(.)#here#name from user u

graeme_m_ross: Trying to autocomplete on a field name in the database

caoticud: Oracle database node -> execute command
issuing select command



Stacktrace: 
java.lang.AbstractMethodError: oracle.jdbc.driver.OracleDatabaseMetaData.getDatabaseMajorVersion()I
        at org.netbeans.modules.db.metadata.model.jdbc.oracle.OracleSchema.getRecycleBinTables(OracleSchema.java:105)
        at org.netbeans.modules.db.metadata.model.jdbc.oracle.OracleSchema.createTables(OracleSchema.java:81)
        at org.netbeans.modules.db.metadata.model.jdbc.JDBCSchema.initTables(JDBCSchema.java:137)
        at org.netbeans.modules.db.metadata.model.jdbc.JDBCSchema.getTable(JDBCSchema.java:100)
        at org.netbeans.modules.db.metadata.model.api.Schema.getTable(Schema.java:112)
        at org.netbeans.modules.db.sql.editor.completion.SQLCompletionQuery.resolveTable(SQLCompletionQuery.java:421)
Comment 1 caoticud 2008-12-03 12:23:17 UTC
Created attachment 74474 [details]
stacktrace
Comment 2 David Vancouvering 2008-12-04 18:36:04 UTC
Ah, yes, this problem.  We encountered this elsewhere in the code but this is new code and we forgot to handle this case
here.  Do you have a workaround or is completion just not working for you?
Comment 3 caoticud 2008-12-20 08:42:07 UTC
This problem occurred when table has an alias and alias is used instead of table name. I have downloaded the latest
driver from the Oracle site. This new driver do stop the exception from arising but the auto-completion is not working
with the alias name. With proper table name, though functionality works fine. 
I have to admit the new database functionality in 6.5 is really great, caching the queries are beautiful. Great job.
Comment 4 Jiri Rechtacek 2009-02-10 15:35:17 UTC
Reassigned to new owner.
Comment 5 Exceptions Reporter 2009-07-28 03:23:03 UTC
This issue already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=95210
Comment 6 Jiri Rechtacek 2009-07-28 16:20:05 UTC
It's a known bug in some Oracle JDBC drivers. It has been fixed in newest ones. The workaround for such drivers was
applied in core-main/rev/1dda351f757c
Comment 7 Quality Engineering 2009-07-29 05:47:28 UTC
Integrated into 'main-golden', will be available in build *200907290201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1dda351f757c
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #154442: workaround AbstractMethodError: oracle.jdbc.driver.OracleDatabaseMetaData.getDatabaseMajorVersion()I


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo